precision mediump float;

varying vec2 v_txCoor;
uniform sampler2D texture;
uniform vec4 Ucolor;

void main()
{
	float alpha = texture2D( texture, v_txCoor ).a;

	// drop transparent pixels
	// except for the edge of the line due to antialias
	if (alpha < 0.75 && (0.1 < v_txCoor.x && v_txCoor.x < 0.9))
		discard;

	gl_FragColor = Ucolor;
	gl_FragColor.a = gl_FragColor.a * alpha;
}
